﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using com.upay.response;
using Newtonsoft.Json;

namespace com.upay.entity
{
    //下单
    public class OrderEntity : RequestObject
    {

        //商户号
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }


        //订单号
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }



        //服务商编号
        [JsonProperty(PropertyName = "partnerId")]
        public string PartnerId { get; set; }



        [JsonProperty(PropertyName = "receiverId")]
        public string ReceiverId { get; set; }



        [JsonProperty(PropertyName = "amount")]

        public string Amount { get; set; }


        [JsonProperty(PropertyName = "currency")]

        public string Currency { get; set; }



        [JsonProperty(PropertyName = "notifyUrl")]

        public string NotifyUrl { get; set; }



        [JsonProperty(PropertyName = "remark")]
        public string Remark { get; set; }



        [JsonProperty(PropertyName = "deputeMark")]
        public string DeputeMark { get; set; }



        [JsonProperty(PropertyName = "hmac")]
        public string Hmac { get; set; }
    }
}